- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FlowShopInit Class Reference

Initialization of a random genotype built by the default constructor of the FlowShop class. More...

`#include <FlowShopInit.h>`

Inheritance diagram for FlowShopInit:

List of all members.

## Public Member Functions
| FlowShopInit (unsigned int _N)
| Ctor.
void | operator() (FlowShop &_flowshop)
| builds a random genotype
## Private Attributes
unsigned int | N
| the number of jobs (size of a scheduling vector)

## Detailed Description

Initialization of a random genotype built by the default constructor of the FlowShop class.

Definition at line 22 of file FlowShopInit.h.

## Constructor & Destructor Documentation

FlowShopInit::FlowShopInit | ( | unsigned int | _N | ) |

Ctor.

Parameters:

  | _N | the number of jobs to schedule

Definition at line 16 of file FlowShopInit.cpp.

## Member Function Documentation

void FlowShopInit::operator() | ( | FlowShop & | _flowshop | ) |

builds a random genotype

Parameters:

  | _flowshop | a genotype that has been default-constructed

Definition at line 20 of file FlowShopInit.cpp.

References MOEO< MOEOObjectiveVector, MOEOFitness, MOEODiversity >::invalidate(), N, eoRng::uniform(), and moeoVector< MOEOObjectiveVector, MOEOFitness, MOEODiversity, GeneType >::value().

The documentation for this class was generated from the following files:

- FlowShopInit.h
- FlowShopInit.cpp